diff -Nru adminer-4.2.1/adminer/lang/pl.inc.php adminer-4.2.4/adminer/lang/pl.inc.php
--- adminer-4.2.1/adminer/lang/pl.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/lang/pl.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -12,7 +12,7 @@
 	'Logout successful.' => 'Wylogowano pomy??lnie.',
 	'Invalid credentials.' => 'Nieprawid??owe dane logowania.',
 	'Too many unsuccessful logins, try again in %d minute(s).' => array('Za du??o nieudanych pr??b logowania, spr??buj ponownie za %d minut??.', 'Za du??o nieudanych pr??b logowania, spr??buj ponownie za %d minuty.', 'Za du??o nieudanych pr??b logowania, spr??buj ponownie za %d minut.'),
-	'Master password expired. <a href="http://www.adminer.org/en/extension/" target="_blank">Implement</a> %s method to make it permanent.' => 'Wa??no???? has??a g????wnego wygas??a. <a href="http://www.adminer.org/pl/extension/" target="_blank">Zaimplementuj</a> w??asn?? metod?? %s, aby ustawi?? je na sta??e.',
+	'Master password expired. <a href="https://www.adminer.org/en/extension/" target="_blank">Implement</a> %s method to make it permanent.' => 'Wa??no???? has??a g????wnego wygas??a. <a href="https://www.adminer.org/pl/extension/" target="_blank">Zaimplementuj</a> w??asn?? metod?? %s, aby ustawi?? je na sta??e.',
 	'Language' => 'J??zyk',
 	'Invalid CSRF token. Send the form again.' => 'Nieprawid??owy token CSRF. Spr??buj wys??a?? formularz ponownie.',
 	'If you did not send this request from Adminer then close this page.' => 'Je??eli nie wywo??a??e?? tej strony z Adminera, zamknij to okno.',
diff -Nru adminer-4.2.1/adminer/lang/vi.inc.php adminer-4.2.4/adminer/lang/vi.inc.php
--- adminer-4.2.1/adminer/lang/vi.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/lang/vi.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -12,7 +12,7 @@
 	'Logout successful.' => '???? tho??t xong.',
 	'Invalid credentials.' => 'T??i kho???n sai.',
 	'Too many unsuccessful logins, try again in %d minute(s).' => 'B???n g?? sai t??i kho???n qu?? nhi???u l???n, h??y th??? l???i sau %d ph??t n???a.',
-	'Master password expired. <a href="http://www.adminer.org/en/extension/" target="_blank">Implement</a> %s method to make it permanent.' => 'M???t kh???u ???? h???t h???n. <a href="http://www.adminer.org/en/extension/" target="_blank">Th??? c??ch l??m</a> ????? gi??? c??? ?????nh.',
+	'Master password expired. <a href="https://www.adminer.org/en/extension/" target="_blank">Implement</a> %s method to make it permanent.' => 'M???t kh???u ???? h???t h???n. <a href="https://www.adminer.org/en/extension/" target="_blank">Th??? c??ch l??m</a> ????? gi??? c??? ?????nh.',
 	'Language' => 'Ng??n ng???',
 	'Invalid CSRF token. Send the form again.' => 'M?? ki???m tra CSRF sai, h??y nh???p l???i bi???u m???u.',
 	'No extension' => 'Kh??ng c?? ph???n m??? r???ng',
diff -Nru adminer-4.2.1/adminer/lang/xx.inc.php adminer-4.2.4/adminer/lang/xx.inc.php
--- adminer-4.2.1/adminer/lang/xx.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/lang/xx.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,336 +1,339 @@
 <?php
 $translations = array(
 	// label for database system selection (MySQL, SQLite, ...)
-	'System' => 'xx',
-	'Server' => 'xx',
-	'Username' => 'xx',
-	'Password' => 'xx',
-	'Permanent login' => 'xx',
-	'Login' => 'xx',
-	'Logout' => 'xx',
-	'Logged as: %s' => 'xx',
-	'Logout successful.' => 'xx',
-	'Invalid credentials.' => 'xx',
-	'Too many unsuccessful logins, try again in %d minute(s).' => array('xx', 'xx'),
-	'Master password expired. <a href="http://www.adminer.org/en/extension/" target="_blank">Implement</a> %s method to make it permanent.' => 'xx',
-	'Language' => 'xx',
-	'Invalid CSRF token. Send the form again.' => 'xx',
-	'No extension' => 'xx',
-	'None of the supported PHP extensions (%s) are available.' => 'xx',
-	'Session support must be enabled.' => 'xx',
-	'Session expired, please login again.' => 'xx',
-	'%s version: %s through PHP extension %s' => 'xx',
-	'Refresh' => 'xx',
+	'System' => 'Xx',
+	'Server' => 'Xx',
+	'Username' => 'Xx',
+	'Password' => 'Xx',
+	'Permanent login' => 'Xx',
+	'Login' => 'Xx',
+	'Logout' => 'Xx',
+	'Logged as: %s' => 'Xx',
+	'Logout successful.' => 'Xx.',
+	'Invalid credentials.' => 'Xx.',
+	'Too many unsuccessful logins, try again in %d minute(s).' => array('Xx.', 'Xx.'),
+	'Master password expired. <a href="https://www.adminer.org/en/extension/" target="_blank">Implement</a> %s method to make it permanent.' => 'Xx.',
+	'Language' => 'Xx',
+	'Invalid CSRF token. Send the form again.' => 'Xx.',
+	'If you did not send this request from Adminer then close this page.' => 'Xx.',
+	'No extension' => 'Xx',
+	'None of the supported PHP extensions (%s) are available.' => 'Xx.',
+	'Session support must be enabled.' => 'Xx.',
+	'Session expired, please login again.' => 'Xx.',
+	'%s version: %s through PHP extension %s' => 'Xx',
+	'Refresh' => 'Xx',
 	
 	// text direction - 'ltr' or 'rtl'
 	'ltr' => 'xx',
 	
-	'Privileges' => 'xx',
-	'Create user' => 'xx',
-	'User has been dropped.' => 'xx',
-	'User has been altered.' => 'xx',
-	'User has been created.' => 'xx',
-	'Hashed' => 'xx',
-	'Column' => 'xx',
-	'Routine' => 'xx',
-	'Grant' => 'xx',
-	'Revoke' => 'xx',
-	
-	'Process list' => 'xx',
-	'%d process(es) have been killed.' => array('xx', 'xx'),
-	'Kill' => 'xx',
-	
-	'Variables' => 'xx',
-	'Status' => 'xx',
-	
-	'SQL command' => 'xx',
-	'%d query(s) executed OK.' => array('xx', 'xx'),
-	'Query executed OK, %d row(s) affected.' => array('xx', 'xx'),
-	'No commands to execute.' => 'xx',
-	'Error in query' => 'xx',
-	'Execute' => 'xx',
-	'Stop on error' => 'xx',
-	'Show only errors' => 'xx',
+	'Privileges' => 'Xx',
+	'Create user' => 'Xx',
+	'User has been dropped.' => 'Xx.',
+	'User has been altered.' => 'Xx.',
+	'User has been created.' => 'Xx.',
+	'Hashed' => 'Xx',
+	'Column' => 'Xx',
+	'Routine' => 'Xx',
+	'Grant' => 'Xx',
+	'Revoke' => 'Xx',
+	
+	'Process list' => 'Xx',
+	'%d process(es) have been killed.' => array('Xx.', 'Xx.'),
+	'Kill' => 'Xx',
+	
+	'Variables' => 'Xx',
+	'Status' => 'Xx',
+	
+	'SQL command' => 'Xx',
+	'%d query(s) executed OK.' => array('Xx.', 'Xx.'),
+	'Query executed OK, %d row(s) affected.' => array('Xx.', 'Xx.'),
+	'No commands to execute.' => 'Xx.',
+	'Error in query' => 'Xx',
+	'ATTACH queries are not supported.' => 'Xx.',
+	'Execute' => 'Xx',
+	'Stop on error' => 'Xx',
+	'Show only errors' => 'Xx',
 	// sprintf() format for time of the command
 	'%.3f s' => 'xx',
-	'History' => 'xx',
-	'Clear' => 'xx',
-	'Edit all' => 'xx',
-	
-	'File upload' => 'xx',
-	'From server' => 'xx',
-	'Webserver file %s' => 'xx',
-	'Run file' => 'xx',
-	'File does not exist.' => 'xx',
-	'File uploads are disabled.' => 'xx',
-	'Unable to upload a file.' => 'xx',
-	'Maximum allowed file size is %sB.' => 'xx',
-	'Too big POST data. Reduce the data or increase the %s configuration directive.' => 'xx',
-	'You can upload a big SQL file via FTP and import it from server.' => 'xx',
-	'You are offline.' => 'xx',
+	'History' => 'Xx',
+	'Clear' => 'Xx',
+	'Edit all' => 'Xx',
+	
+	'File upload' => 'Xx',
+	'From server' => 'Xx',
+	'Webserver file %s' => 'Xx',
+	'Run file' => 'Xx',
+	'File does not exist.' => 'Xx.',
+	'File uploads are disabled.' => 'Xx.',
+	'Unable to upload a file.' => 'Xx.',
+	'Maximum allowed file size is %sB.' => 'Xx.',
+	'Too big POST data. Reduce the data or increase the %s configuration directive.' => 'Xx.',
+	'You can upload a big SQL file via FTP and import it from server.' => 'Xx.',
+	'You are offline.' => 'Xx.',
 	
-	'Export' => 'xx',
-	'Output' => 'xx',
+	'Export' => 'Xx',
+	'Output' => 'Xx',
 	'open' => 'xx',
 	'save' => 'xx',
-	'Format' => 'xx',
-	'Data' => 'xx',
+	'Saving' => 'Xx',
+	'Format' => 'Xx',
+	'Data' => 'Xx',
 	
-	'Database' => 'xx',
+	'Database' => 'Xx',
 	'database' => 'xx',
-	'Use' => 'xx',
-	'Select database' => 'xx',
-	'Invalid database.' => 'xx',
-	'Create new database' => 'xx',
-	'Database has been dropped.' => 'xx',
-	'Databases have been dropped.' => 'xx',
-	'Database has been created.' => 'xx',
-	'Database has been renamed.' => 'xx',
-	'Database has been altered.' => 'xx',
-	'Alter database' => 'xx',
-	'Create database' => 'xx',
-	'Database schema' => 'xx',
+	'Use' => 'Xx',
+	'Select database' => 'Xx',
+	'Invalid database.' => 'Xx.',
+	'Create new database' => 'Xx',
+	'Database has been dropped.' => 'Xx.',
+	'Databases have been dropped.' => 'Xx.',
+	'Database has been created.' => 'Xx.',
+	'Database has been renamed.' => 'Xx.',
+	'Database has been altered.' => 'Xx.',
+	'Alter database' => 'Xx',
+	'Create database' => 'Xx',
+	'Database schema' => 'Xx',
 	
 	// link to current database schema layout
-	'Permanent link' => 'xx',
+	'Permanent link' => 'Xx',
 	
 	// thousands separator - must contain single byte
 	',' => 'x',
 	'0123456789' => 'xxxxxxxxxx',
-	'Engine' => 'xx',
-	'Collation' => 'xx',
-	'Data Length' => 'xx',
-	'Index Length' => 'xx',
-	'Data Free' => 'xx',
-	'Rows' => 'xx',
+	'Engine' => 'Xx',
+	'Collation' => 'Xx',
+	'Data Length' => 'Xx',
+	'Index Length' => 'Xx',
+	'Data Free' => 'Xx',
+	'Rows' => 'Xx',
 	'%d in total' => 'xx',
-	'Analyze' => 'xx',
-	'Optimize' => 'xx',
-	'Vacuum' => 'xx',
-	'Check' => 'xx',
-	'Repair' => 'xx',
-	'Truncate' => 'xx',
-	'Tables have been truncated.' => 'xx',
-	'Move to other database' => 'xx',
-	'Move' => 'xx',
-	'Tables have been moved.' => 'xx',
-	'Copy' => 'xx',
-	'Tables have been copied.' => 'xx',
-	
-	'Routines' => 'xx',
-	'Routine has been called, %d row(s) affected.' => array('xx', 'xx'),
-	'Call' => 'xx',
-	'Parameter name' => 'xx',
-	'Create procedure' => 'xx',
-	'Create function' => 'xx',
-	'Routine has been dropped.' => 'xx',
-	'Routine has been altered.' => 'xx',
-	'Routine has been created.' => 'xx',
-	'Alter function' => 'xx',
-	'Alter procedure' => 'xx',
-	'Return type' => 'xx',
-	
-	'Events' => 'xx',
-	'Event has been dropped.' => 'xx',
-	'Event has been altered.' => 'xx',
-	'Event has been created.' => 'xx',
-	'Alter event' => 'xx',
-	'Create event' => 'xx',
-	'At given time' => 'xx',
-	'Every' => 'xx',
-	'Schedule' => 'xx',
-	'Start' => 'xx',
-	'End' => 'xx',
-	'On completion preserve' => 'xx',
-	
-	'Tables' => 'xx',
-	'Tables and views' => 'xx',
-	'Table' => 'xx',
-	'No tables.' => 'xx',
-	'Alter table' => 'xx',
-	'Create table' => 'xx',
-	'Table has been dropped.' => 'xx',
-	'Tables have been dropped.' => 'xx',
-	'Tables have been optimized.' => 'xx',
-	'Table has been altered.' => 'xx',
-	'Table has been created.' => 'xx',
-	'Table name' => 'xx',
-	'Show structure' => 'xx',
+	'Analyze' => 'Xx',
+	'Optimize' => 'Xx',
+	'Vacuum' => 'Xx',
+	'Check' => 'Xx',
+	'Repair' => 'Xx',
+	'Truncate' => 'Xx',
+	'Tables have been truncated.' => 'Xx.',
+	'Move to other database' => 'Xx',
+	'Move' => 'Xx',
+	'Tables have been moved.' => 'Xx.',
+	'Copy' => 'Xx',
+	'Tables have been copied.' => 'Xx.',
+	
+	'Routines' => 'Xx',
+	'Routine has been called, %d row(s) affected.' => array('Xx.', 'Xx.'),
+	'Call' => 'Xx',
+	'Parameter name' => 'Xx',
+	'Create procedure' => 'Xx',
+	'Create function' => 'Xx',
+	'Routine has been dropped.' => 'Xx.',
+	'Routine has been altered.' => 'Xx.',
+	'Routine has been created.' => 'Xx.',
+	'Alter function' => 'Xx',
+	'Alter procedure' => 'Xx',
+	'Return type' => 'Xx',
+	
+	'Events' => 'Xx',
+	'Event has been dropped.' => 'Xx.',
+	'Event has been altered.' => 'Xx.',
+	'Event has been created.' => 'Xx.',
+	'Alter event' => 'Xx',
+	'Create event' => 'Xx',
+	'At given time' => 'Xx',
+	'Every' => 'Xx',
+	'Schedule' => 'Xx',
+	'Start' => 'Xx',
+	'End' => 'Xx',
+	'On completion preserve' => 'Xx',
+	
+	'Tables' => 'Xx',
+	'Tables and views' => 'Xx',
+	'Table' => 'Xx',
+	'No tables.' => 'Xx.',
+	'Alter table' => 'Xx',
+	'Create table' => 'Xx',
+	'Table has been dropped.' => 'Xx.',
+	'Tables have been dropped.' => 'Xx.',
+	'Tables have been optimized.' => 'Xx.',
+	'Table has been altered.' => 'Xx.',
+	'Table has been created.' => 'Xx.',
+	'Table name' => 'Xx',
+	'Show structure' => 'Xx',
 	'engine' => 'xx',
 	'collation' => 'xx',
-	'Column name' => 'xx',
-	'Type' => 'xx',
-	'Length' => 'xx',
-	'Auto Increment' => 'xx',
-	'Options' => 'xx',
-	'Comment' => 'xx',
-	'Default value' => 'xx',
-	'Default values' => 'xx',
-	'Drop' => 'xx',
-	'Are you sure?' => 'xx',
-	'Size' => 'xx',
-	'Compute' => 'xx',
-	'Move up' => 'xx',
-	'Move down' => 'xx',
-	'Remove' => 'xx',
-	'Maximum number of allowed fields exceeded. Please increase %s.' => 'xx',
-	
-	'Partition by' => 'xx',
-	'Partitions' => 'xx',
-	'Partition name' => 'xx',
-	'Values' => 'xx',
-	
-	'View' => 'xx',
-	'Materialized View' => 'xx',
-	'View has been dropped.' => 'xx',
-	'View has been altered.' => 'xx',
-	'View has been created.' => 'xx',
-	'Alter view' => 'xx',
-	'Create view' => 'xx',
-	'Create materialized view' => 'xx',
-	
-	'Indexes' => 'xx',
-	'Indexes have been altered.' => 'xx',
-	'Alter indexes' => 'xx',
-	'Add next' => 'xx',
-	'Index Type' => 'xx',
-	'Column (length)' => 'xx',
-	
-	'Foreign keys' => 'xx',
-	'Foreign key' => 'xx',
-	'Foreign key has been dropped.' => 'xx',
-	'Foreign key has been altered.' => 'xx',
-	'Foreign key has been created.' => 'xx',
-	'Target table' => 'xx',
-	'Change' => 'xx',
-	'Source' => 'xx',
-	'Target' => 'xx',
-	'Add column' => 'xx',
-	'Alter' => 'xx',
-	'Add foreign key' => 'xx',
-	'ON DELETE' => 'xx',
-	'ON UPDATE' => 'xx',
-	'Source and target columns must have the same data type, there must be an index on the target columns and referenced data must exist.' => 'xx',
-	
-	'Triggers' => 'xx',
-	'Add trigger' => 'xx',
-	'Trigger has been dropped.' => 'xx',
-	'Trigger has been altered.' => 'xx',
-	'Trigger has been created.' => 'xx',
-	'Alter trigger' => 'xx',
-	'Create trigger' => 'xx',
-	'Time' => 'xx',
-	'Event' => 'xx',
-	'Name' => 'xx',
+	'Column name' => 'Xx',
+	'Type' => 'Xx',
+	'Length' => 'Xx',
+	'Auto Increment' => 'Xx',
+	'Options' => 'Xx',
+	'Comment' => 'Xx',
+	'Default value' => 'Xx',
+	'Default values' => 'Xx',
+	'Drop' => 'Xx',
+	'Are you sure?' => 'Xx',
+	'Size' => 'Xx',
+	'Compute' => 'Xx',
+	'Move up' => 'Xx',
+	'Move down' => 'Xx',
+	'Remove' => 'Xx',
+	'Maximum number of allowed fields exceeded. Please increase %s.' => 'Xx.',
+	
+	'Partition by' => 'Xx',
+	'Partitions' => 'Xx',
+	'Partition name' => 'Xx',
+	'Values' => 'Xx',
+	
+	'View' => 'Xx',
+	'Materialized View' => 'Xx',
+	'View has been dropped.' => 'Xx.',
+	'View has been altered.' => 'Xx.',
+	'View has been created.' => 'Xx.',
+	'Alter view' => 'Xx',
+	'Create view' => 'Xx',
+	'Create materialized view' => 'Xx',
+	
+	'Indexes' => 'Xx',
+	'Indexes have been altered.' => 'Xx.',
+	'Alter indexes' => 'Xx',
+	'Add next' => 'Xx',
+	'Index Type' => 'Xx',
+	'Column (length)' => 'Xx',
+	
+	'Foreign keys' => 'Xx',
+	'Foreign key' => 'Xx',
+	'Foreign key has been dropped.' => 'Xx.',
+	'Foreign key has been altered.' => 'Xx.',
+	'Foreign key has been created.' => 'Xx.',
+	'Target table' => 'Xx',
+	'Change' => 'Xx',
+	'Source' => 'Xx',
+	'Target' => 'Xx',
+	'Add column' => 'Xx',
+	'Alter' => 'Xx',
+	'Add foreign key' => 'Xx',
+	'ON DELETE' => 'Xx',
+	'ON UPDATE' => 'Xx',
+	'Source and target columns must have the same data type, there must be an index on the target columns and referenced data must exist.' => 'Xx.',
+	
+	'Triggers' => 'Xx',
+	'Add trigger' => 'Xx',
+	'Trigger has been dropped.' => 'Xx.',
+	'Trigger has been altered.' => 'Xx.',
+	'Trigger has been created.' => 'Xx.',
+	'Alter trigger' => 'Xx',
+	'Create trigger' => 'Xx',
+	'Time' => 'Xx',
+	'Event' => 'Xx',
+	'Name' => 'Xx',
 	
 	'select' => 'xx',
-	'Select' => 'xx',
-	'Select data' => 'xx',
-	'Functions' => 'xx',
-	'Aggregation' => 'xx',
-	'Search' => 'xx',
+	'Select' => 'Xx',
+	'Select data' => 'Xx',
+	'Functions' => 'Xx',
+	'Aggregation' => 'Xx',
+	'Search' => 'Xx',
 	'anywhere' => 'xx',
-	'Search data in tables' => 'xx',
-	'Sort' => 'xx',
+	'Search data in tables' => 'Xx',
+	'Sort' => 'Xx',
 	'descending' => 'xx',
-	'Limit' => 'xx',
-	'Limit rows' => 'xx',
-	'Text length' => 'xx',
-	'Action' => 'xx',
-	'Full table scan' => 'xx',
-	'Unable to select the table' => 'xx',
-	'No rows.' => 'xx',
+	'Limit' => 'Xx',
+	'Limit rows' => 'Xx',
+	'Text length' => 'Xx',
+	'Action' => 'Xx',
+	'Full table scan' => 'Xx',
+	'Unable to select the table' => 'Xx',
+	'No rows.' => 'Xx.',
 	'%d / ' => 'xx',
 	'%d row(s)' => array('xx', 'xx'),
-	'Page' => 'xx',
+	'Page' => 'Xx',
 	'last' => 'xx',
-	'Load more data' => 'xx',
-	'Loading' => 'xx',
+	'Load more data' => 'Xx',
+	'Loading' => 'Xx',
 	'whole result' => 'xx',
 	'%d byte(s)' => array('xx', 'xx'),
 	
-	'Import' => 'xx',
-	'%d row(s) have been imported.' => array('xx', 'xx'),
-	'File must be in UTF-8 encoding.' => 'xx',
+	'Import' => 'Xx',
+	'%d row(s) have been imported.' => array('Xx.', 'Xx.'),
+	'File must be in UTF-8 encoding.' => 'Xx.',
 	
 	// in-place editing in select
-	'Modify' => 'xx',
-	'Ctrl+click on a value to modify it.' => 'xx',
-	'Use edit link to modify this value.' => 'xx',
+	'Modify' => 'Xx',
+	'Ctrl+click on a value to modify it.' => 'Xx.',
+	'Use edit link to modify this value.' => 'Xx.',
 	
 	// %s can contain auto-increment value
-	'Item%s has been inserted.' => 'xx',
-	'Item has been deleted.' => 'xx',
-	'Item has been updated.' => 'xx',
-	'%d item(s) have been affected.' => array('xx', 'xx'),
-	'New item' => 'xx',
+	'Item%s has been inserted.' => 'Xx.',
+	'Item has been deleted.' => 'Xx.',
+	'Item has been updated.' => 'Xx.',
+	'%d item(s) have been affected.' => array('Xx.', 'Xx.'),
+	'New item' => 'Xx',
 	'original' => 'xx',
 	// label for value '' in enum data type
 	'empty' => 'xx',
 	'edit' => 'xx',
-	'Edit' => 'xx',
-	'Insert' => 'xx',
-	'Save' => 'xx',
-	'Save and continue edit' => 'xx',
-	'Save and insert next' => 'xx',
-	'Selected' => 'xx',
-	'Clone' => 'xx',
-	'Delete' => 'xx',
-	'You have no privileges to update this table.' => 'xx',
-	
-	'E-mail' => 'xx',
-	'From' => 'xx',
-	'Subject' => 'xx',
-	'Attachments' => 'xx',
-	'Send' => 'xx',
-	'%d e-mail(s) have been sent.' => array('xx', 'xx'),
+	'Edit' => 'Xx',
+	'Insert' => 'Xx',
+	'Save' => 'Xx',
+	'Save and continue edit' => 'Xx',
+	'Save and insert next' => 'Xx',
+	'Selected' => 'Xx',
+	'Clone' => 'Xx',
+	'Delete' => 'Xx',
+	'You have no privileges to update this table.' => 'Xx.',
+	
+	'E-mail' => 'Xx',
+	'From' => 'Xx',
+	'Subject' => 'Xx',
+	'Attachments' => 'Xx',
+	'Send' => 'Xx',
+	'%d e-mail(s) have been sent.' => array('Xx.', 'Xx.'),
 	
 	// data type descriptions
-	'Numbers' => 'xx',
-	'Date and time' => 'xx',
-	'Strings' => 'xx',
-	'Binary' => 'xx',
-	'Lists' => 'xx',
-	'Network' => 'xx',
-	'Geometry' => 'xx',
-	'Relations' => 'xx',
+	'Numbers' => 'Xx',
+	'Date and time' => 'Xx',
+	'Strings' => 'Xx',
+	'Binary' => 'Xx',
+	'Lists' => 'Xx',
+	'Network' => 'Xx',
+	'Geometry' => 'Xx',
+	'Relations' => 'Xx',
 	
-	'Editor' => 'xx',
+	'Editor' => 'Xx',
 	// date format in Editor: $1 yyyy, $2 yy, $3 mm, $4 m, $5 dd, $6 d
 	'$1-$3-$5' => 'xx',
 	// hint for date format - use language equivalents for day, month and year shortcuts
 	'[yyyy]-mm-dd' => 'xx',
 	// hint for time format - use language equivalents for hour, minute and second shortcuts
-	'HH:MM:SS' => 'xx',
+	'HH:MM:SS' => 'Xx',
 	'now' => 'xx',
 	'yes' => 'xx',
 	'no' => 'xx',
 	
 	// general SQLite error in create, drop or rename database
-	'File exists.' => 'xx',
-	'Please use one of the extensions %s.' => 'xx',
+	'File exists.' => 'Xx.',
+	'Please use one of the extensions %s.' => 'Xx.',
 	
 	// PostgreSQL and MS SQL schema support
-	'Alter schema' => 'xx',
-	'Create schema' => 'xx',
-	'Schema has been dropped.' => 'xx',
-	'Schema has been created.' => 'xx',
-	'Schema has been altered.' => 'xx',
-	'Schema' => 'xx',
-	'Invalid schema.' => 'xx',
+	'Alter schema' => 'Xx',
+	'Create schema' => 'Xx',
+	'Schema has been dropped.' => 'Xx.',
+	'Schema has been created.' => 'Xx.',
+	'Schema has been altered.' => 'Xx.',
+	'Schema' => 'Xx',
+	'Invalid schema.' => 'Xx.',
 	
 	// PostgreSQL sequences support
-	'Sequences' => 'xx',
-	'Create sequence' => 'xx',
-	'Sequence has been dropped.' => 'xx',
-	'Sequence has been created.' => 'xx',
-	'Sequence has been altered.' => 'xx',
-	'Alter sequence' => 'xx',
+	'Sequences' => 'Xx',
+	'Create sequence' => 'Xx',
+	'Sequence has been dropped.' => 'Xx.',
+	'Sequence has been created.' => 'Xx.',
+	'Sequence has been altered.' => 'Xx.',
+	'Alter sequence' => 'Xx',
 	
 	// PostgreSQL user types support
-	'User types' => 'xx',
-	'Create type' => 'xx',
-	'Type has been dropped.' => 'xx',
-	'Type has been created.' => 'xx',
-	'Alter type' => 'xx',
+	'User types' => 'Xx',
+	'Create type' => 'Xx',
+	'Type has been dropped.' => 'Xx.',
+	'Type has been created.' => 'Xx.',
+	'Alter type' => 'Xx',
 );
diff -Nru adminer-4.2.1/adminer/sql.inc.php adminer-4.2.4/adminer/sql.inc.php
--- adminer-4.2.1/adminer/sql.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/sql.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -55,7 +55,6 @@
 		}
 		$commands = 0;
 		$errors = array();
-		$line = 0;
 		$parse = '[\'"' . ($jush == "sql" ? '`#' : ($jush == "sqlite" ? '`[' : ($jush == "mssql" ? '[' : ''))) . ']|/\\*|-- |$' . ($jush == "pgsql" ? '|\\$[^$]*\\$' : '');
 		$total_start = microtime(true);
 		parse_str($_COOKIE["adminer_export"], $adminer_export);
@@ -95,73 +94,82 @@
 						$q = substr($query, 0, $pos);
 						$commands++;
 						$print = "<pre id='sql-$commands'><code class='jush-$jush'>" . shorten_utf8(trim($q), 1000) . "</code></pre>\n";
-						if (!$_POST["only_errors"]) {
+						if ($jush == "sqlite" && preg_match("~^$space*ATTACH\b~i", $q, $match)) {
+							// PHP doesn't support setting SQLITE_LIMIT_ATTACHED
 							echo $print;
-							ob_flush();
-							flush(); // can take a long time - show the running query
-						}
-						$start = microtime(true);
-						//! don't allow changing of character_set_results, convert encoding of displayed query
-						if ($connection->multi_query($q) && is_object($connection2) && preg_match("~^$space*USE\\b~isU", $q)) {
-							$connection2->query($q);
-						}
+							echo "<p class='error'>" . lang('ATTACH queries are not supported.') . "\n";
+							$errors[] = " <a href='#sql-$commands'>$commands</a>";
+							if ($_POST["error_stops"]) {
+								break;
+							}
+						} else {
+							if (!$_POST["only_errors"]) {
+								echo $print;
+								ob_flush();
+								flush(); // can take a long time - show the running query
+							}
+							$start = microtime(true);
+							//! don't allow changing of character_set_results, convert encoding of displayed query
+							if ($connection->multi_query($q) && is_object($connection2) && preg_match("~^$space*USE\\b~isU", $q)) {
+								$connection2->query($q);
+							}
 
-						do {
-							$result = $connection->store_result();
-							$time = " <span class='time'>(" . format_time($start) . ")</span>"
-								. (strlen($q) < 1000 ? " <a href='" . h(ME) . "sql=" . urlencode(trim($q)) . "'>" . lang('Edit') . "</a>" : "") // 1000 - maximum length of encoded URL in IE is 2083 characters
-							;
-
-							if ($connection->error) {
-								echo ($_POST["only_errors"] ? $print : "");
-								echo "<p class='error'>" . lang('Error in query') . ($connection->errno ? " ($connection->errno)" : "") . ": " . error() . "\n";
-								$errors[] = " <a href='#sql-$commands'>$commands</a>";
-								if ($_POST["error_stops"]) {
-									break 2;
-								}
+							do {
+								$result = $connection->store_result();
+								$time = " <span class='time'>(" . format_time($start) . ")</span>"
+									. (strlen($q) < 1000 ? " <a href='" . h(ME) . "sql=" . urlencode(trim($q)) . "'>" . lang('Edit') . "</a>" : "") // 1000 - maximum length of encoded URL in IE is 2083 characters
+								;
+
+								if ($connection->error) {
+									echo ($_POST["only_errors"] ? $print : "");
+									echo "<p class='error'>" . lang('Error in query') . ($connection->errno ? " ($connection->errno)" : "") . ": " . error() . "\n";
+									$errors[] = " <a href='#sql-$commands'>$commands</a>";
+									if ($_POST["error_stops"]) {
+										break 2;
+									}
 
-							} elseif (is_object($result)) {
-								$limit = $_POST["limit"];
-								$orgtables = select($result, $connection2, array(), $limit);
-								if (!$_POST["only_errors"]) {
-									echo "<form action='' method='post'>\n";
-									$num_rows = $result->num_rows;
-									echo "<p>" . ($num_rows ? ($limit && $num_rows > $limit ? lang('%d / ', $limit) : "") . lang('%d row(s)', $num_rows) : "");
-									echo $time;
-									$id = "export-$commands";
-									$export = ", <a href='#$id' onclick=\"return !toggle('$id');\">" . lang('Export') . "</a><span id='$id' class='hidden'>: "
-										. html_select("output", $adminer->dumpOutput(), $adminer_export["output"]) . " "
-										. html_select("format", $dump_format, $adminer_export["format"])
-										. "<input type='hidden' name='query' value='" . h($q) . "'>"
-										. " <input type='submit' name='export' value='" . lang('Export') . "'><input type='hidden' name='token' value='$token'></span>\n"
-									;
-									if ($connection2 && preg_match("~^($space|\\()*SELECT\\b~isU", $q) && ($explain = explain($connection2, $q))) {
-										$id = "explain-$commands";
-										echo ", <a href='#$id' onclick=\"return !toggle('$id');\">EXPLAIN</a>$export";
-										echo "<div id='$id' class='hidden'>\n";
-										select($explain, $connection2, $orgtables);
-										echo "</div>\n";
-									} else {
-										echo $export;
+								} elseif (is_object($result)) {
+									$limit = $_POST["limit"];
+									$orgtables = select($result, $connection2, array(), $limit);
+									if (!$_POST["only_errors"]) {
+										echo "<form action='' method='post'>\n";
+										$num_rows = $result->num_rows;
+										echo "<p>" . ($num_rows ? ($limit && $num_rows > $limit ? lang('%d / ', $limit) : "") . lang('%d row(s)', $num_rows) : "");
+										echo $time;
+										$id = "export-$commands";
+										$export = ", <a href='#$id' onclick=\"return !toggle('$id');\">" . lang('Export') . "</a><span id='$id' class='hidden'>: "
+											. html_select("output", $adminer->dumpOutput(), $adminer_export["output"]) . " "
+											. html_select("format", $dump_format, $adminer_export["format"])
+											. "<input type='hidden' name='query' value='" . h($q) . "'>"
+											. " <input type='submit' name='export' value='" . lang('Export') . "'><input type='hidden' name='token' value='$token'></span>\n"
+										;
+										if ($connection2 && preg_match("~^($space|\\()*SELECT\\b~isU", $q) && ($explain = explain($connection2, $q))) {
+											$id = "explain-$commands";
+											echo ", <a href='#$id' onclick=\"return !toggle('$id');\">EXPLAIN</a>$export";
+											echo "<div id='$id' class='hidden'>\n";
+											select($explain, $connection2, $orgtables);
+											echo "</div>\n";
+										} else {
+											echo $export;
+										}
+										echo "</form>\n";
 									}
-									echo "</form>\n";
-								}
 
-							} else {
-								if (preg_match("~^$space*(CREATE|DROP|ALTER)$space+(DATABASE|SCHEMA)\\b~isU", $q)) {
-									restart_session();
-									set_session("dbs", null); // clear cache
-									stop_session();
-								}
-								if (!$_POST["only_errors"]) {
-									echo "<p class='message' title='" . h($connection->info) . "'>" . lang('Query executed OK, %d row(s) affected.', $connection->affected_rows) . "$time\n";
+								} else {
+									if (preg_match("~^$space*(CREATE|DROP|ALTER)$space+(DATABASE|SCHEMA)\\b~isU", $q)) {
+										restart_session();
+										set_session("dbs", null); // clear cache
+										stop_session();
+									}
+									if (!$_POST["only_errors"]) {
+										echo "<p class='message' title='" . h($connection->info) . "'>" . lang('Query executed OK, %d row(s) affected.', $connection->affected_rows) . "$time\n";
+									}
 								}
-							}
 
-							$start = microtime(true);
-						} while ($connection->next_result());
+								$start = microtime(true);
+							} while ($connection->next_result());
+						}
 
-						$line += substr_count($q.$found, "\n");
 						$query = substr($query, $offset);
 						$offset = 0;
 					}
diff -Nru adminer-4.2.1/adminer/static/functions.js adminer-4.2.4/adminer/static/functions.js
--- adminer-4.2.1/adminer/static/functions.js	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/static/functions.js	2016-02-06 11:10:16.000000000 -0800
@@ -37,7 +37,7 @@
 function verifyVersion(current) {
 	cookie('adminer_version=0', 1);
 	var iframe = document.createElement('iframe');
-	iframe.src = location.protocol + '//www.adminer.org/version/?current=' + current;
+	iframe.src = 'https://www.adminer.org/version/?current=' + current;
 	iframe.frameBorder = 0;
 	iframe.marginHeight = 0;
 	iframe.scrolling = 'no';
@@ -46,7 +46,7 @@
 	if (window.postMessage && window.addEventListener) {
 		iframe.style.display = 'none';
 		addEventListener('message', function (event) {
-			if (event.origin == location.protocol + '//www.adminer.org') {
+			if (event.origin == 'https://www.adminer.org') {
 				var match = /version=(.+)/.exec(event.data);
 				if (match) {
 					cookie('adminer_version=' + match[1], 1);
diff -Nru adminer-4.2.1/debian/changelog adminer-4.2.4/debian/changelog
--- adminer-4.2.1/debian/changelog	2015-04-10 20:59:29.000000000 -0700
+++ adminer-4.2.4/debian/changelog	2016-05-24 08:55:30.000000000 -0700
@@ -1,3 +1,13 @@
+adminer (4.2.4-0.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Upstream upgrade.
+  * Update d/watch to use github, which also directly provides tarballs.
+  * Update to PHP7.0 dependencies (Closes: #821471).
+  * Update to mod_php7.0 in apache configuration.
+
+ -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 24 May 2016 08:54:57 -0700
+
 adminer (4.2.1-1) unstable; urgency=low
 
   * Upstream upgrade
diff -Nru adminer-4.2.1/debian/conf/apache.conf adminer-4.2.4/debian/conf/apache.conf
--- adminer-4.2.1/debian/conf/apache.conf	2015-04-10 20:25:17.000000000 -0700
+++ adminer-4.2.4/debian/conf/apache.conf	2016-05-23 16:58:09.000000000 -0700
@@ -6,7 +6,7 @@
 	Options FollowSymLinks
 	DirectoryIndex index.php
 
-	<IfModule mod_php5.c>
+	<IfModule mod_php7.0.c>
 		AddType application/x-httpd-php .php
 
 		php_flag magic_quotes_gpc Off
@@ -22,7 +22,7 @@
 	Options FollowSymLinks
 	DirectoryIndex index.php
 
-	<IfModule mod_php5.c>
+	<IfModule mod_php7.0.c>
 		AddType application/x-httpd-php .php
 
 		php_flag magic_quotes_gpc Off
diff -Nru adminer-4.2.1/debian/control adminer-4.2.4/debian/control
--- adminer-4.2.1/debian/control	2015-04-10 21:10:01.000000000 -0700
+++ adminer-4.2.4/debian/control	2016-05-23 16:51:30.000000000 -0700
@@ -10,8 +10,8 @@
 
 Package: adminer
 Architecture: all
-Depends: ${misc:Depends}, libapache2-mod-php5 | php5-cgi | php5, php5-mysql | php5-sqlite | php5-pgsql
-Recommends: php5-sqlite, php5-mysql, php5-pgsql, php5-cli
+Depends: ${misc:Depends}, libapache2-mod-php | php-cgi | php, php-mysql | php-sqlite3 | php-pgsql
+Recommends: php-sqlite3, php-mysql, php-pgsql, php-cli
 Suggests: mysql-server | postgresql | sqlite3
 Description: Web-based database administration tool
  Adminer (formerly phpMinAdmin) is a full-featured database 
diff -Nru adminer-4.2.1/debian/watch adminer-4.2.4/debian/watch
--- adminer-4.2.1/debian/watch	2015-04-10 20:25:17.000000000 -0700
+++ adminer-4.2.4/debian/watch	2016-05-23 16:48:23.000000000 -0700
@@ -1,2 +1,3 @@
-version=3
-http://sf.net/adminer/adminer-(.+)\.zip debian debian/repack
+version=4
+opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar.gz%adminer-$1.tar.gz% \
+  https://github.com/vrana/adminer/releases (?:.*?/)?v?(\d[\d.]*)\.tar.gz debian
